@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
html {
    color: black;
    font-family: "Outfit";
}
header, footer{
    color: white;
}
header{z-index: 10;}
button{
    all: unset;
}
p{
    font-size: 2rem;
    word-spacing: 1rem;
    margin: 0;
}
.top {
    position: relative;
    width: 100%;
}

.scl_img {
    display: block;
    width: 100%;
    height: 350px;
    border-radius: .1px;
}

.title {
    position: absolute;
    top: 50%;
    right: 50%;
    font-size: 120px;
    transform: translate(50%, -90%);
    text-transform: uppercase;
    font-family: 'Roboto';
    transition: 900ms ease;
    font-variation-settings: "wght" 311;
    margin-bottom: 0.8rem;
    color: white;
    outline: none;
    text-align: center;
    text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.6);
}

.title:hover {
    font-variation-settings: "wght" 582;
    letter-spacing: 10px;
}
.container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 2rem;
    margin-top: 8rem;
    margin-left: 25rem;
    margin-right: 20rem;
}
.sub_ttl{
    font-size: 5rem;
    margin: 0;
    color: #23364D;
}
.container img{
    width: 100%;
    height: auto;
    border-radius: 0%;
}
.grid_fil {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    column-gap: 20rem;
    row-gap: 0;
}

.grid_fil .card {
    position: relative;
    cursor: pointer;
}

.grid_fil .card .face {
    width: 300px;
    height: 200px;
    transition: 0.5s;
}

.grid_fil .card .face.face1 {
    position: relative;
    background: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transform: translateY(100px);
}

.grid_fil .card:nth-child(1):hover .face.face1 {
    background: #001f3f;
    transform: translateY(0);
}

.grid_fil .card:nth-child(2):hover .face.face1 {
    background: #800020; 
    transform: translateY(0);
}

.grid_fil .card:nth-child(3):hover .face.face1 {
    background: #004d00;
    transform: translateY(0);
}

.grid_fil .card:nth-child(4):hover .face.face1 {
    background: #8B4513;
    transform: translateY(0);
}

.grid_fil .card .face.face1 .content {
    opacity: 0.2;
    transition: 0.5s;
}

.grid_fil .card:hover .face.face1 .content {
    opacity: 1;
}

.grid_fil .card .face.face1 .content img {
    max-width: 100px;
}

.grid_fil .card .face.face1 .content h3 {
    margin: 10px 0 0;
    padding: 0;
    color: #fff;
    text-align: center;
    font-size: 1.5em;
}

.grid_fil .card .face.face2 {
    position: relative;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 20px 50px rgba(0, 0, 0, 0.8);
    transform: translateY(-100px);
}

.grid_fil .card:hover .face.face2 {
    transform: translateY(0);
}

.grid_fil .card .face.face2 .content p {
    margin: 0;
    padding: 0;
}

.grid_fil .card .face.face2 .content a {
    margin: 15px 0 0;
    display: inline-block;
    text-decoration: none;
    font-weight: 900;
    color: #333;
    padding: 5px;
    border: 1px solid #333;
}

.grid_fil .card .face.face2 .content a:hover {
    background: #333;
    color: #fff;
}
.sub_ttl2{
    font-size: 3rem;
    margin: 0;
    color: #344863;
    scroll-margin-top : 2.5em;
}
.floating-stack {
    background: #23364D;
    color: #fff;
    border-radius: 1rem;
    overflow-y: auto;
    width: 0;
    height: 0;
    opacity: 0;
    transition: width 0.5s ease-in-out, height 0.5s ease-in-out, opacity 0.5s ease-in-out;
}

.floating-stack.active {
    width: 320px;
    height: 300px;
    opacity: 1;
}
.floating-stack > dl {
    margin: 0 0 1rem;
    display: grid;
    grid-template-columns: 2.5rem 1fr;
    align-items: center;
}
  
.floating-stack dt {
    position: sticky;
    top: 0.5rem;
    left: 0.5rem;
    font-weight: bold;
    background: #263238;
    color: #cfd8dc;
    height: 2rem;
    width: 2rem;
    border-radius: 50%;
    padding: 0.25rem 1rem;
    grid-column: 1;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
  
.floating-stack dd {
    grid-column: 2;
    margin: 0;
    padding: 0.75rem;
}
  
.floating-stack > dl:first-of-type > dd:first-of-type {
    margin-top: 0.25rem;
}

button {
    --border: 5px;
    --slant: 0.7em; 
    --color: #344863; 
    
    font-size: 2rem;
    padding: 0.4em 1.2em;
    border: none;
    cursor: pointer;
    font-weight: bold;
    color: var(--color);
    background: 
       linear-gradient(to bottom left,var(--color)  50%,#0000 50.1%) top right,
       linear-gradient(to top   right,var(--color)  50%,#0000 50.1%) bottom left;
    background-size: calc(var(--slant) + 1.3*var(--border)) calc(var(--slant) + 1.3*var(--border));
    background-repeat: no-repeat;
    box-shadow:
      0 0 0 200px inset var(--s,#0000),
      0 0 0 var(--border) inset var(--color);
    clip-path: 
        polygon(0 0, calc(100% - var(--slant)) 0, 100% var(--slant),
                100% 100%, var(--slant) 100%,0 calc(100% - var(--slant))
               );
    transition: color var(--t,0.3s), background-size 0.3s;
  }
  button:focus-visible {
    outline-offset: calc(-1*var(--border));
    outline: var(--border) solid #000c;
    clip-path: none;
    background-size: 0 0;
  }
  button:hover,
  button:active{
    background-size: 100% 100%;
    color: #fff;
    --t: 0.2s 0.1s;
  }
  button:active {
    --s: #0005;
    transition: none;
  }
ol a{
    color: white;
    position: relative;
    text-decoration: none;
    font-size: 2rem;
    line-height: 3rem;
}
ol li::marker{
    font-size: 1.5rem;
}
ol a::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 4px;
  background-color: red;
  bottom: 0;
  left: 0;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .3s ease-in-out;
}

ol a:hover::before {
  transform-origin: left;
  transform: scaleX(1);
}
.sub_ttl3{
    font-size: 2rem;
    margin: 0;
    color: #344863;
    font-weight: bolder;
}
.sub_ttl4{
    font-size: 1.8rem;
    margin: 0;
    text-indent: 50px;
    text-decoration: underline;
    color: #344863;
    font-weight: bolder;
}
.bttn_top{
    all: unset;
    position: fixed;
    bottom: 50px;
    right: 50px; 
    z-index: 999;
    color:white;
	padding-top:1.8em;
    align-content: center;
    justify-content: center;
	text-decoration:none;
    scroll-behavior: smooth;
	transition:all .3s ease-out;
}
.bttn_top:before {
    content: '▲';
    font-size: 2rem;
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    top: 0;
    left: 50%;
    margin-left: -0.75em; 
    width: 2.5em; 
    height: 2.5em; 
    line-height: 2.5em; 
    scroll-behavior: smooth;
    transition: transform 0.5s ease-in;
    border-radius: 50%;
    background-color: var(--dark_blue);
}

.bttn_top:hover{
	color:white;


}
.bttn_top:hover:before{
    color: var(--dark_blue);
    background-color: white;
    border: 3px solid var(--dark_blue);
	transform: rotate(360deg);
}
.schl_cont{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    text-align: center;
    gap: 2rem;
    margin: 10px;
    margin-top: 100px;
    padding: 10px;
    cursor: pointer;
    filter: grayscale(80%);
    transition: .3s;
    border: 1px solid lightgray;
    border-bottom: 2px solid #23364D;
    width: 350px;
    height: 400px;
}
.schl_cont:hover {
    --_p: 75%;
    filter: grayscale(0%);
}
.schl_logo{
    width: 150px;
    height: 150px;
    border-radius: 10px;
}
.club_cont{
    display: grid;
    grid-template-columns: repeat(2,1fr);
}
.clb_img{
    all: unset;
    
}